#
# Please do not update/rebuild/touch this package before asking first to mikala and/or neoclust
# This package is part of the KDE Stack.
#

%define subrel 1
%define rel 1

Name:       kdf
Summary:    View free disk space
Version: 4.10.5
Release:    %mkrel %{rel}
Group:      File tools
License:    GPLv2 and LGPLv2 and GPLD
URL:        http://utils.kde.org/projects/kdf
Source0:    ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%name-%{version}.tar.xz

BuildRequires: kdelibs4-devel >= 2:%version

Requires: kdebase4-runtime

Conflicts: kdeutils4-core < 4.5.72

Suggests: kdf-handbook

%description
KDiskFree displays the available file devices (hard drive partitions,
floppy and CD/DVD drives, etc.) along with information on their capacity,
free space, type and mount point. It also allows you to mount and unmount
drives and view them in a file manager.

%files
%_kde_appsdir/kdf/
%_kde_bindir/kdf
%_kde_bindir/kwikdisk
%_kde_libdir/kde4/kcm_kdf.so
%_kde_iconsdir/*/*/apps/kcmdf.*
%_kde_iconsdir/*/*/apps/kdf.*
%_kde_iconsdir/*/*/apps/kwikdisk.*
%_kde_applicationsdir/kdf.desktop
%_kde_applicationsdir/kwikdisk.desktop
%_kde_services/kcmdf.desktop

#------------------------------------------------------------------------------

%package -n kdf-handbook
Summary: kdf Handbook
Conflicts: kdf < 4.7.1
BuildArch: noarch
Group: Documentation
%description -n kdf-handbook
This package provides kdf Handbook.

%files -n kdf-handbook
%doc COPYING
%docdir %_kde_docdir/HTML/
%_kde_docdir/HTML/en/kdf/
%_kde_docdir/HTML/en/kcontrol/blockdevices/

#------------------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build
export LD=/usr/bin/ld.gold
%cmake_kde4  -DKDE4_ENABLE_FINAL=ON
make -j8

%install
rm -fr %buildroot
%makeinstall_std -C build


%changelog
* Sat Jul 06 2013 mikala <mikala> 4.10.5-1.1.mga3
+ Revision: 450633
- Update tarball to KDE SC 4.10.5
- Update tarball to KDE SC 4.10.4

* Tue Apr 02 2013 mikala <mikala> 4.10.2-1.mga3
+ Revision: 407285
- Update tarball to KDE SC 4.10.2

* Sat Mar 09 2013 lmenut <lmenut> 4.10.1-1.mga3
+ Revision: 401876
- Update tarball to KDE SC 4.10.1

* Mon Feb 04 2013 mikala <mikala> 4.10.0-1.mga3
+ Revision: 394448
- Update tarball to KDE SC 4.10.0
- Update tarball to KDE SC 4.9.98 aka KDE SC 4.10 RC3

* Sat Jan 12 2013 umeabot <umeabot> 4.9.97-2.mga3
+ Revision: 356100
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 05 2013 mikala <mikala> 4.9.97-1.mga3
+ Revision: 339550
- Update tarball to KDE SC 4.9.97 aka KDE SC 4.10 RC2

* Mon Dec 24 2012 mikala <mikala> 4.9.95-1.mga3
+ Revision: 334610
- Update tarball to KDE SC 4.9.95 aka KDE SC 4.10 RC1

* Wed Dec 05 2012 mikala <mikala> 4.9.90-1.mga3
+ Revision: 326811
- Update tarball to KDE SC 4.9.90 aka KDE SC 4.10 Beta2

* Wed Nov 21 2012 mikala <mikala> 4.9.80-1.mga3
+ Revision: 320330
- Update tarball to KDE SC 4.9.80 aka KDE SC 4.10 Beta1

* Wed Nov 07 2012 mikala <mikala> 4.9.3-1.mga3
+ Revision: 316206
- Update tarball to KDE SC 4.9.3

* Tue Oct 02 2012 mikala <mikala> 4.9.2-1.mga3
+ Revision: 301982
- Update tarball to KDE SC 4.9.2
- Fix group

* Sun Sep 09 2012 mikala <mikala> 4.9.1-1.mga3
+ Revision: 291173
- Update tarball to KDE SC 4.9.1

* Wed Aug 01 2012 mikala <mikala> 4.9.0-1.mga3
+ Revision: 277119
- Silent: Fix Source URL
- Update tarball to KDE 4.9.0

* Thu Jul 12 2012 fwang <fwang> 4.8.97-1.mga3
+ Revision: 269679
- new version 4.8.97

* Sun Jul 01 2012 shlomif <shlomif> 4.8.95-1.mga3
+ Revision: 266255
- New version 4.8.95

* Fri Jun 08 2012 fwang <fwang> 4.8.4-1.mga3
+ Revision: 257270
- new version 4.8.4

* Wed Apr 04 2012 fwang <fwang> 4.8.2-1.mga2
+ Revision: 228475
- new version 4.8.2

* Thu Mar 08 2012 mikala <mikala> 4.8.1-1.mga2
+ Revision: 221477
- New upstream tarball

* Thu Jan 19 2012 mikala <mikala> 4.8.0-1.mga2
+ Revision: 198371
- Updating tarball to KDE 4.8.0
- Drop patch0 (merged upstream)

* Thu Jan 05 2012 mikala <mikala> 4.7.97-1.mga2
+ Revision: 191528
- Add patch0 from upstream to add missing add_definition() calls
- Update tarball to kde 4.7.97

* Fri Dec 23 2011 mikala <mikala> 4.7.95-1.mga2
+ Revision: 186319
- Update tarball to kde 4.7.95
- fix group

* Wed Dec 14 2011 mikala <mikala> 4.7.90-1.mga2
+ Revision: 181469
- imported package kdf

